Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.udo.cs.miningmart.m4
Interface M4Data

All Superinterfaces:
  M4Object

All Known Subinterfaces:
  Assertion, BaseAttribute, Case, Chain, Column, Columnset, Concept, Condition, Constraint, Docu, Feature, ForeignKey, GraphicalM4Object, Key, MultiColumnFeature, Operator, OpParam, Parameter, ParameterObject, PrimaryKey, Projection, Relation, Step, Value

All Known Implementing Classes:
  Assertion, BaseAttribute, Case, Chain, Column, Columnset, Concept, Condition, Constraint, Docu, Feature, ForeignKey, GraphicalM4Object, Key, MultiColumnFeature, Operator, OpParam, Parameter, ParameterObject, PrimaryKey, Projection, Relation, Step, Value

public interface M4Data
extends M4Object

Version:
  $Id: M4Data.java,v 1.3 2006/04/11 14:10:12 euler Exp $
Author:
  Timm Euler, Daniel Hakenjos

Method Summary
`void` | `deleteSoon()` The method to delete all references of an `M4Data` object and to remove the tuple(s) representing the object from the M4 database.
`java.lang.String` | `getDocumentation()` Returns documentation for this object.
`java.lang.String` | `getValidName(java.lang.String name, java.lang.Class typeOfNamedObject)` This method checks if the given name can be used as the name for an object of the given type when this M4Data object is the container object, or if that would result in a name conflict.
`boolean` | `isDirty()` Check if this object reflects the state of the database or if the object needs to be written back to the database at the next store command.
`boolean` | `isWaitingForDelete()` Indicates if this object's representation will be deleted in the database at the next update operation.
`void` | `setDocumentation(java.lang.String text)` Sets documentation for this object.

Methods inherited from interface edu.udo.cs.miningmart.m4.M4Object
`doPrint, doPrint, equals, executeBusinessSingleValueSqlRead, executeBusinessSingleValueSqlReadL, executeBusinessSqlRead, executeBusinessSqlWrite, executeM4SingleValueSqlRead, executeM4SingleValueSqlReadL, executeM4SqlRead, executeM4SqlWrite, getCasePrintObject, getId, getM4Db, getM4ObjectFromCache, getName, getNextM4SequenceValue, isNew, load, print, putM4ObjectToCache, replaceSpacesInName, setId, setName`

Method Detail

### getValidName

    public java.lang.String getValidName(java.lang.String name,
                                         java.lang.Class typeOfNamedObject)
                                  throws M4Exception

  This method checks if the given name can be used as the name for an object of the given type when this M4Data object is the container object, or if that would result in a name conflict. For example, if this M4Data object is a Case, the given object type might be Step. Then it would be checked if the given name can be used as the name for a new Step in this Case. A unique name for an object of the given type in the context given by this M4Data object is returned, which is either equal to the given name, or to the given name plus a number suffix.

  Parameters:
    `name` - The name to be checked.
    `typeOfNamedObject` - The type of object for which the name should be valid.
  Returns:
    A valid name
  Throws:
    `M4Exception`

### isDirty

    public boolean isDirty()

  Check if this object reflects the state of the database or if the object needs to be written back to the database at the next store command.

  Returns:
    TRUE if the object needs to be stored FALSE if it reflects the database.

### deleteSoon

    public void deleteSoon()
                    throws M4Exception

  The method to delete all references of an `M4Data` object and to remove the tuple(s) representing the object from the M4 database. After calling the method `removeAllM4References()` this method sets an internal flag indicating that it needs to be deleted at the next store command. This includes setting the dirty flag.

  Throws:
    `M4Exception`

### isWaitingForDelete

    public boolean isWaitingForDelete()

  Indicates if this object's representation will be deleted in the database at the next update operation.

  Returns:
    TRUE if the object needs to be deleted FALSE otherwise

### setDocumentation

    public void setDocumentation(java.lang.String text)
                          throws M4Exception

  Sets documentation for this object.

  Throws:
    `M4Exception`

### getDocumentation

    public java.lang.String getDocumentation()
                                      throws M4Exception

  Returns documentation for this object.

  Throws:
    `M4Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005